/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.PagoTarjetaCredito;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface PagoTarjetaCreditoFacadeLocal {

  void create(PagoTarjetaCredito pagoTarjetaCredito);

  void edit(PagoTarjetaCredito pagoTarjetaCredito);

  void remove(PagoTarjetaCredito pagoTarjetaCredito);

  PagoTarjetaCredito find(Object id);

  List<PagoTarjetaCredito> findAll();

  List<PagoTarjetaCredito> findRange(int[] range);

  int count();
  
}
